com.genesyslab.wfm8.API.service.schedule850

## Class SchScenarioParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchScenarioParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioParams
      extends java.lang.Object
      implements java.io.Serializable

  Schedule scenario parameters
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchScenarioProfile>` | `schProfiles`
    `protected int` | `schProfilesNSizeIs`
    `protected java.util.List<SchTeamProfile>` | `schTeamProfiles`
    `protected int` | `schTeamProfilesNSizeIs`
    `private static long` | `serialVersionUID`
    `protected boolean` | `wmExcludeGranted`
    `protected boolean` | `wmIgnoreConstraints`
    `protected boolean` | `wmMultiSkill`
    `protected double` | `wmRatio`
    `protected boolean` | `wmShuffleAgents`
    `protected int` | `wmSiteId`
    `protected int` | `wmStaffingType` `ESchStaffingType`
    `protected int` | `wmSwapMode` `ESchSwapMode`
    `protected boolean` | `wmSynchBreaks`
    `protected boolean` | `wmSynchDaysOff`
    `protected boolean` | `wmSynchDuration`
    `protected boolean` | `wmSynchMeals`
    `protected boolean` | `wmSynchStartTime`
    `protected int` | `wmTeamConstraints` `ESchTeamConstraints`
    `protected int` | `wmTeamSize`
    `protected int` | `wmTeamWorkWindow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchScenarioProfile>` | `getSchProfiles()` Gets the value of the schProfiles property.
    `int` | `getSchProfilesNSizeIs()` Gets the value of the schProfilesNSizeIs property.
    `java.util.List<SchTeamProfile>` | `getSchTeamProfiles()` Gets the value of the schTeamProfiles property.
    `int` | `getSchTeamProfilesNSizeIs()` Gets the value of the schTeamProfilesNSizeIs property.
    `double` | `getWmRatio()` Gets the value of the wmRatio property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStaffingType()` Gets the value of the wmStaffingType property.
    `int` | `getWmSwapMode()` Gets the value of the wmSwapMode property.
    `int` | `getWmTeamConstraints()` Gets the value of the wmTeamConstraints property.
    `int` | `getWmTeamSize()` Gets the value of the wmTeamSize property.
    `int` | `getWmTeamWorkWindow()` Gets the value of the wmTeamWorkWindow property.
    `int` | `hashCode()`
    `boolean` | `isWmExcludeGranted()` Gets the value of the wmExcludeGranted property.
    `boolean` | `isWmIgnoreConstraints()` Gets the value of the wmIgnoreConstraints property.
    `boolean` | `isWmMultiSkill()` Gets the value of the wmMultiSkill property.
    `boolean` | `isWmShuffleAgents()` Gets the value of the wmShuffleAgents property.
    `boolean` | `isWmSynchBreaks()` Gets the value of the wmSynchBreaks property.
    `boolean` | `isWmSynchDaysOff()` Gets the value of the wmSynchDaysOff property.
    `boolean` | `isWmSynchDuration()` Gets the value of the wmSynchDuration property.
    `boolean` | `isWmSynchMeals()` Gets the value of the wmSynchMeals property.
    `boolean` | `isWmSynchStartTime()` Gets the value of the wmSynchStartTime property.
    `void` | `setSchProfiles(java.util.List<SchScenarioProfile> schProfiles)` Sets the value of the schProfiles property.
    `void` | `setSchProfilesNSizeIs(int value)` Sets the value of the schProfilesNSizeIs property.
    `void` | `setSchTeamProfiles(java.util.List<SchTeamProfile> schTeamProfiles)` Sets the value of the schTeamProfiles property.
    `void` | `setSchTeamProfilesNSizeIs(int value)` Sets the value of the schTeamProfilesNSizeIs property.
    `void` | `setWmExcludeGranted(boolean value)` Sets the value of the wmExcludeGranted property.
    `void` | `setWmIgnoreConstraints(boolean value)` Sets the value of the wmIgnoreConstraints property.
    `void` | `setWmMultiSkill(boolean value)` Sets the value of the wmMultiSkill property.
    `void` | `setWmRatio(double value)` Sets the value of the wmRatio property.
    `void` | `setWmShuffleAgents(boolean value)` Sets the value of the wmShuffleAgents property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStaffingType(int value)` Sets the value of the wmStaffingType property.
    `void` | `setWmSwapMode(int value)` Sets the value of the wmSwapMode property.
    `void` | `setWmSynchBreaks(boolean value)` Sets the value of the wmSynchBreaks property.
    `void` | `setWmSynchDaysOff(boolean value)` Sets the value of the wmSynchDaysOff property.
    `void` | `setWmSynchDuration(boolean value)` Sets the value of the wmSynchDuration property.
    `void` | `setWmSynchMeals(boolean value)` Sets the value of the wmSynchMeals property.
    `void` | `setWmSynchStartTime(boolean value)` Sets the value of the wmSynchStartTime property.
    `void` | `setWmTeamConstraints(int value)` Sets the value of the wmTeamConstraints property.
    `void` | `setWmTeamSize(int value)` Sets the value of the wmTeamSize property.
    `void` | `setWmTeamWorkWindow(int value)` Sets the value of the wmTeamWorkWindow property.
    `java.lang.String` | `toString()`
    `SchScenarioParams` | `withSchProfiles(java.util.Collection<SchScenarioProfile> values)`
    `SchScenarioParams` | `withSchProfiles(SchScenarioProfile... values)`
    `SchScenarioParams` | `withSchProfilesNSizeIs(int value)`
    `SchScenarioParams` | `withSchTeamProfiles(java.util.Collection<SchTeamProfile> values)`
    `SchScenarioParams` | `withSchTeamProfiles(SchTeamProfile... values)`
    `SchScenarioParams` | `withSchTeamProfilesNSizeIs(int value)`
    `SchScenarioParams` | `withWmExcludeGranted(boolean value)`
    `SchScenarioParams` | `withWmIgnoreConstraints(boolean value)`
    `SchScenarioParams` | `withWmMultiSkill(boolean value)`
    `SchScenarioParams` | `withWmRatio(double value)`
    `SchScenarioParams` | `withWmShuffleAgents(boolean value)`
    `SchScenarioParams` | `withWmSiteId(int value)`
    `SchScenarioParams` | `withWmStaffingType(int value)`
    `SchScenarioParams` | `withWmSwapMode(int value)`
    `SchScenarioParams` | `withWmSynchBreaks(boolean value)`
    `SchScenarioParams` | `withWmSynchDaysOff(boolean value)`
    `SchScenarioParams` | `withWmSynchDuration(boolean value)`
    `SchScenarioParams` | `withWmSynchMeals(boolean value)`
    `SchScenarioParams` | `withWmSynchStartTime(boolean value)`
    `SchScenarioParams` | `withWmTeamConstraints(int value)`
    `SchScenarioParams` | `withWmTeamSize(int value)`
    `SchScenarioParams` | `withWmTeamWorkWindow(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### wmMultiSkill

          protected boolean wmMultiSkill

    - #### wmStaffingType

          protected int wmStaffingType

      `ESchStaffingType`

    - #### wmIgnoreConstraints

          protected boolean wmIgnoreConstraints

    - #### wmShuffleAgents

          protected boolean wmShuffleAgents

    - #### wmSwapMode

          protected int wmSwapMode

      `ESchSwapMode`

    - #### wmTeamConstraints

          protected int wmTeamConstraints

      `ESchTeamConstraints`

    - #### wmExcludeGranted

          protected boolean wmExcludeGranted

    - #### wmSynchDaysOff

          protected boolean wmSynchDaysOff

    - #### wmSynchStartTime

          protected boolean wmSynchStartTime

    - #### wmTeamWorkWindow

          protected int wmTeamWorkWindow

    - #### wmSynchDuration

          protected boolean wmSynchDuration

    - #### wmSynchBreaks

          protected boolean wmSynchBreaks

    - #### wmSynchMeals

          protected boolean wmSynchMeals

    - #### wmTeamSize

          protected int wmTeamSize

    - #### wmRatio

          protected double wmRatio

    - #### schProfilesNSizeIs

          protected int schProfilesNSizeIs

    - #### schProfiles

          protected java.util.List<SchScenarioProfile> schProfiles

    - #### schTeamProfilesNSizeIs

          protected int schTeamProfilesNSizeIs

    - #### schTeamProfiles

          protected java.util.List<SchTeamProfile> schTeamProfiles

  - ### Constructor Detail

    - #### SchScenarioParams

          public SchScenarioParams()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### isWmMultiSkill

          public boolean isWmMultiSkill()

      Gets the value of the wmMultiSkill property.

    - #### setWmMultiSkill

          public void setWmMultiSkill(boolean value)

      Sets the value of the wmMultiSkill property.

    - #### getWmStaffingType

          public int getWmStaffingType()

      Gets the value of the wmStaffingType property.

    - #### setWmStaffingType

          public void setWmStaffingType(int value)

      Sets the value of the wmStaffingType property.

    - #### isWmIgnoreConstraints

          public boolean isWmIgnoreConstraints()

      Gets the value of the wmIgnoreConstraints property.

    - #### setWmIgnoreConstraints

          public void setWmIgnoreConstraints(boolean value)

      Sets the value of the wmIgnoreConstraints property.

    - #### isWmShuffleAgents

          public boolean isWmShuffleAgents()

      Gets the value of the wmShuffleAgents property.

    - #### setWmShuffleAgents

          public void setWmShuffleAgents(boolean value)

      Sets the value of the wmShuffleAgents property.

    - #### getWmSwapMode

          public int getWmSwapMode()

      Gets the value of the wmSwapMode property.

    - #### setWmSwapMode

          public void setWmSwapMode(int value)

      Sets the value of the wmSwapMode property.

    - #### getWmTeamConstraints

          public int getWmTeamConstraints()

      Gets the value of the wmTeamConstraints property.

    - #### setWmTeamConstraints

          public void setWmTeamConstraints(int value)

      Sets the value of the wmTeamConstraints property.

    - #### isWmExcludeGranted

          public boolean isWmExcludeGranted()

      Gets the value of the wmExcludeGranted property.

    - #### setWmExcludeGranted

          public void setWmExcludeGranted(boolean value)

      Sets the value of the wmExcludeGranted property.

    - #### isWmSynchDaysOff

          public boolean isWmSynchDaysOff()

      Gets the value of the wmSynchDaysOff property.

    - #### setWmSynchDaysOff

          public void setWmSynchDaysOff(boolean value)

      Sets the value of the wmSynchDaysOff property.

    - #### isWmSynchStartTime

          public boolean isWmSynchStartTime()

      Gets the value of the wmSynchStartTime property.

    - #### setWmSynchStartTime

          public void setWmSynchStartTime(boolean value)

      Sets the value of the wmSynchStartTime property.

    - #### getWmTeamWorkWindow

          public int getWmTeamWorkWindow()

      Gets the value of the wmTeamWorkWindow property.

    - #### setWmTeamWorkWindow

          public void setWmTeamWorkWindow(int value)

      Sets the value of the wmTeamWorkWindow property.

    - #### isWmSynchDuration

          public boolean isWmSynchDuration()

      Gets the value of the wmSynchDuration property.

    - #### setWmSynchDuration

          public void setWmSynchDuration(boolean value)

      Sets the value of the wmSynchDuration property.

    - #### isWmSynchBreaks

          public boolean isWmSynchBreaks()

      Gets the value of the wmSynchBreaks property.

    - #### setWmSynchBreaks

          public void setWmSynchBreaks(boolean value)

      Sets the value of the wmSynchBreaks property.

    - #### isWmSynchMeals

          public boolean isWmSynchMeals()

      Gets the value of the wmSynchMeals property.

    - #### setWmSynchMeals

          public void setWmSynchMeals(boolean value)

      Sets the value of the wmSynchMeals property.

    - #### getWmTeamSize

          public int getWmTeamSize()

      Gets the value of the wmTeamSize property.

    - #### setWmTeamSize

          public void setWmTeamSize(int value)

      Sets the value of the wmTeamSize property.

    - #### getWmRatio

          public double getWmRatio()

      Gets the value of the wmRatio property.

    - #### setWmRatio

          public void setWmRatio(double value)

      Sets the value of the wmRatio property.

    - #### getSchProfilesNSizeIs

          public int getSchProfilesNSizeIs()

      Gets the value of the schProfilesNSizeIs property.

    - #### setSchProfilesNSizeIs

          public void setSchProfilesNSizeIs(int value)

      Sets the value of the schProfilesNSizeIs property.

    - #### getSchProfiles

          public java.util.List<SchScenarioProfile> getSchProfiles()

      Gets the value of the schProfiles property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schProfiles property.

      For example, to add a new item, do as follows:

              getSchProfiles().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioProfile`

    - #### getSchTeamProfilesNSizeIs

          public int getSchTeamProfilesNSizeIs()

      Gets the value of the schTeamProfilesNSizeIs property.

    - #### setSchTeamProfilesNSizeIs

          public void setSchTeamProfilesNSizeIs(int value)

      Sets the value of the schTeamProfilesNSizeIs property.

    - #### getSchTeamProfiles

          public java.util.List<SchTeamProfile> getSchTeamProfiles()

      Gets the value of the schTeamProfiles property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTeamProfiles property.

      For example, to add a new item, do as follows:

              getSchTeamProfiles().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTeamProfile`

    - #### withWmSiteId

          public SchScenarioParams withWmSiteId(int value)

    - #### withWmMultiSkill

          public SchScenarioParams withWmMultiSkill(boolean value)

    - #### withWmStaffingType

          public SchScenarioParams withWmStaffingType(int value)

    - #### withWmIgnoreConstraints

          public SchScenarioParams withWmIgnoreConstraints(boolean value)

    - #### withWmShuffleAgents

          public SchScenarioParams withWmShuffleAgents(boolean value)

    - #### withWmSwapMode

          public SchScenarioParams withWmSwapMode(int value)

    - #### withWmTeamConstraints

          public SchScenarioParams withWmTeamConstraints(int value)

    - #### withWmExcludeGranted

          public SchScenarioParams withWmExcludeGranted(boolean value)

    - #### withWmSynchDaysOff

          public SchScenarioParams withWmSynchDaysOff(boolean value)

    - #### withWmSynchStartTime

          public SchScenarioParams withWmSynchStartTime(boolean value)

    - #### withWmTeamWorkWindow

          public SchScenarioParams withWmTeamWorkWindow(int value)

    - #### withWmSynchDuration

          public SchScenarioParams withWmSynchDuration(boolean value)

    - #### withWmSynchBreaks

          public SchScenarioParams withWmSynchBreaks(boolean value)

    - #### withWmSynchMeals

          public SchScenarioParams withWmSynchMeals(boolean value)

    - #### withWmTeamSize

          public SchScenarioParams withWmTeamSize(int value)

    - #### withWmRatio

          public SchScenarioParams withWmRatio(double value)

    - #### withSchProfilesNSizeIs

          public SchScenarioParams withSchProfilesNSizeIs(int value)

    - #### withSchProfiles

          public SchScenarioParams withSchProfiles(SchScenarioProfile... values)

    - #### withSchProfiles

          public SchScenarioParams withSchProfiles(java.util.Collection<SchScenarioProfile> values)

    - #### withSchTeamProfilesNSizeIs

          public SchScenarioParams withSchTeamProfilesNSizeIs(int value)

    - #### withSchTeamProfiles

          public SchScenarioParams withSchTeamProfiles(SchTeamProfile... values)

    - #### withSchTeamProfiles

          public SchScenarioParams withSchTeamProfiles(java.util.Collection<SchTeamProfile> values)

    - #### setSchProfiles

          public void setSchProfiles(java.util.List<SchScenarioProfile> schProfiles)

      Sets the value of the schProfiles property.
      Parameters:
        `schProfiles` - allowed object is `SchScenarioProfile`

    - #### setSchTeamProfiles

          public void setSchTeamProfiles(java.util.List<SchTeamProfile> schTeamProfiles)

      Sets the value of the schTeamProfiles property.
      Parameters:
        `schTeamProfiles` - allowed object is `SchTeamProfile`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.